Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java	(revision 3772)
@@ -42,6 +42,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.DirectoryDialog;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.ExpandBar;
 import org.eclipse.swt.widgets.ExpandItem;
 import org.eclipse.swt.widgets.FileDialog;
@@ -232,7 +233,7 @@
 			 * 
 			 * Font f = oplabel.getFont(); FontData defaultFont =
 			 * f.getFontData()[0]; defaultFont.setStyle(SWT.BOLD); Font newf =
-			 * new Font(oplabel.getDisplay(),defaultFont);
+			 * new Font(Display.getCurrent(),defaultFont);
 			 * oplabel.setFont(newf);
 			 * 
 			 * oplabel.setAlignment(SWT.CENTER); oplabel.setLayoutData(new
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 3772)
@@ -53,6 +53,7 @@
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Event;
 import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Label;
@@ -184,7 +185,7 @@
 		Font f = nameLabel.getFont();
 		FontData defaultFont = f.getFontData()[0];
 		defaultFont.setStyle(SWT.BOLD);
-		Font newf = new Font(nameLabel.getDisplay(), defaultFont);
+		Font newf = new Font(Display.getCurrent(), defaultFont);
 		nameLabel.setText(TXMUIMessages.ampNameColon);
 		nameLabel.setLayoutData(new GridData(GridData.FILL, GridData.CENTER,
 				false, false));
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 3772)
@@ -73,6 +73,8 @@
 	
 	
 	public static final String CGU = "cgu"; //$NON-NLS-1$
+
+	public static String DISABLE_TEST_WARNING = "no_test_warning";
 	
 	
 	@Override
@@ -100,6 +102,7 @@
 		preferences.putBoolean(SHOW_NOTIFICATIONS, false);
 		
 		preferences.putBoolean(CGU, false);
+		preferences.putBoolean(DISABLE_TEST_WARNING, false);
 		
 		preferences.putInt(NO_SESSION, 1);
 		preferences.putInt(MAX_NUMBER_OF_COLUMNS, 100);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 3772)
@@ -25,6 +25,8 @@
 		addField(new StringFieldEditor(TBXPreferences.UPDATESITE, TXMUIMessages.UpdateSiteAddress, getFieldEditorParent()));
 		// enable some Eclipse features deactivated for TXM
 		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, "Expert mode", getFieldEditorParent()));
+		
+		addField(new BooleanFieldEditor(RCPPreferences.DISABLE_TEST_WARNING, "Disable the test warning dialog when testing TXM", getFieldEditorParent()));
 	}
 	
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/splashHandlers/TXMSplashHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/splashHandlers/TXMSplashHandler.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/splashHandlers/TXMSplashHandler.java	(revision 3772)
@@ -38,6 +38,7 @@
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.graphics.Point;
 import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.internal.splash.EclipseSplashHandler;
@@ -102,7 +103,7 @@
 //		
 //		greenTXM = new Color(splash.getDisplay(), 109,139,0);
 //		redTXM = new Color(splash.getDisplay(), 255,0,0);
-//		font = new Font(splash.getDisplay(), "Arial", 17, SWT.BOLD); //$NON-NLS-1$
+//		font = new Font(Display.getCurrent(), "Arial", 17, SWT.BOLD); //$NON-NLS-1$
 //		
 //		if (txm_date.equals(build_date)) {
 //			infos = build_date;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java	(revision 3772)
@@ -44,6 +44,7 @@
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
 import org.txm.core.messages.TXMCoreMessages;
@@ -461,7 +462,7 @@
 			Font f = titleLabel.getFont();
 			FontData defaultFont = f.getFontData()[0];
 			defaultFont.setStyle(SWT.BOLD);
-			Font newf = new Font(titleLabel.getDisplay(), defaultFont);
+			Font newf = new Font(Display.getCurrent(), defaultFont);
 			titleLabel.setFont(newf);
 			
 			title = new Text(this, SWT.BORDER);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java	(revision 3772)
@@ -52,6 +52,7 @@
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.swt.widgets.Spinner;
@@ -195,7 +196,7 @@
 			Button addwordButton = new Button(mainPanel, SWT.PUSH);
 			FontData[] fd = mainPanel.getFont().getFontData();
 			fd[0].setStyle(SWT.BOLD);
-			Font font = new Font(mainPanel.getFont().getDevice(), fd);
+			Font font = new Font(Display.getCurrent(), fd);
 			addwordButton.setFont(font);
 			addwordButton.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
 			addwordButton.setText(TXMUIMessages.addAWord+" ⯯");
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3772)
@@ -60,6 +60,7 @@
 import org.txm.Toolbox;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TBXPreferences;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
 import org.txm.rcp.commands.OpenWelcomePage;
@@ -201,13 +202,13 @@
 						Log.fine("Lock file path: "+lockFile);
 						if (lockFile.exists()) { // the close control file was not deleted //$NON-NLS-1$
 							lockFile.delete(); //$NON-NLS-1$
-							
+
 							File checkupResultFile = new File(rootPath, "startup_diagnostic_"+Toolbox.dateformat.format(new Date())+".txt"); //$NON-NLS-1$ //$NON-NLS-2$
 							checkupResultFile.delete();
 							try {
 								Toolbox.writeStartupCorporaDiagnostics(checkupResultFile);
 							} catch(Exception e) {e.printStackTrace();}
-							
+
 							if (checkupResultFile.exists()) { // ask the user only if errors have been detected 
 								this.syncExec(new Runnable() {
 									@Override
@@ -230,7 +231,28 @@
 						}
 						lockFile.createNewFile(); //$NON-NLS-1$
 
-						Log.info(TXMUIMessages.info_txmIsReady);
+						String s = getVersionLevel();
+						if ("stable".equals(RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL)) && s.length() == 0) {
+							Log.info(TXMUIMessages.info_txmIsReady);
+						} else {
+							Log.warning("TXM is running in test mode. This mode is not intendend to be used to work.");
+							if (Application.isHeadLess()) {
+
+							} else if (org.eclipse.core.runtime.Platform.inDevelopmentMode()) {
+
+							} else if (RCPPreferences.getInstance().getBoolean(RCPPreferences.DISABLE_TEST_WARNING)) {
+
+							} else {
+								Display.getDefault().syncExec( new Runnable() {
+
+									@Override
+									public void run() {
+										MessageDialog.openWarning(Display.getDefault().getActiveShell(), "Test mode", "TXM is running in test mode. This mode is not intendend to be used to work.");
+									}
+								});
+							}
+						}
+
 						monitor.done();
 					}
 					catch (Exception e) {
@@ -513,7 +535,7 @@
 	 */
 	@Override
 	public void postShutdown() {
-		
+
 		callPreStopScript();
 
 		Toolbox.shutdown();
Index: TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 3772)
@@ -524,7 +524,7 @@
 		Font f = go.getFont();
 		FontData defaultFont = f.getFontData()[0];
 		defaultFont.setStyle(SWT.BOLD);
-		Font newf = new Font(go.getDisplay(), defaultFont);
+		Font newf = new Font(Display.getCurrent(), defaultFont);
 		go.setFont(newf);
 		
 		layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 3771)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 3772)
@@ -580,7 +580,7 @@
 		Font f = go.getFont();
 		FontData defaultFont = f.getFontData()[0];
 		defaultFont.setStyle(SWT.BOLD);
-		Font newf = new Font(go.getDisplay(), defaultFont);
+		Font newf = new Font(Display.getCurrent(), defaultFont);
 		go.setFont(newf);
 		
 		GridData layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
